#ifndef SERVO_H
#define SERVO_H

#include <stdbool.h>
#include <stdint.h>
#include <math.h>

#define NUM_SERVO_CHANNELS 18
#define SERVO_CENTER_PULSE 1500
#define SERVO_MIN_PULSE 750
#define SERVO_MAX_PULSE 2500
#define SERVO_MAX_ANGLE 135
#define SERVO_MIN_ANGLE -135

int servo_init(void);
uint32_t servo_angle_to_pulse_us(int angle_deg);
int servo_set_angle(uint8_t channel, int angle_deg);


#endif /* SERVO_H */

